package io.metersphere.exclude;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.context.TypeExcludeFilter;
import org.springframework.core.type.classreading.MetadataReader;
import org.springframework.core.type.classreading.MetadataReaderFactory;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

/**
 * 过滤公共包中不希望加载的bean
 *
 * @author liuxiaohua
 * @since 2023-08-19
 */
@Slf4j
public class EgTypeExcludeFilter extends TypeExcludeFilter {

    @Override
    public boolean match(MetadataReader metadataReader, MetadataReaderFactory metadataReaderFactory) throws IOException {
        boolean contains = IGNORE_CLASS.contains(metadataReader.getClassMetadata().getClassName());
        if (contains) {
            log.info("ignore class match: {}", metadataReader.getClassMetadata().getClassName());
        }
        return contains;
    }

    private static final List<String> IGNORE_CLASS = new ArrayList<>();

    static {
        IGNORE_CLASS.add("io.metersphere.xpack.config.LicenseInterceptor");
    }


}
