package io.metersphere.keycloak;

import io.metersphere.keycloak.dto.KeycloakAuthSourceReq;
import io.metersphere.keycloak.service.KeycloakAuthSourceService;
import io.metersphere.keycloak.service.KeycloakService;
import io.metersphere.sdk.util.CodingUtils;
import io.metersphere.system.controller.handler.ResultHolder;
import io.metersphere.system.utils.SessionUtils;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.ModelAndView;

@Controller
@RequestMapping("/sso")
public class KeycloakController {

    @Resource
    private KeycloakService keycloakService;
    @Resource
    private KeycloakAuthSourceService keycloakAuthSourceService;

    @GetMapping("/callback/keycloak")
    public ModelAndView callbackKeycloak(@RequestParam("code") String code, @RequestParam("state") String authId) throws Exception {
        keycloakService.exchangeKeycloak(code, authId);
        String var10000 = CodingUtils.base64Encoding(SessionUtils.getSessionId());
        return new ModelAndView("redirect:/#/?_token=" + var10000 + "&_csrf="
                + SessionUtils.getUser().getCsrfToken() + "&_pId=" + SessionUtils.getUser().getLastProjectId() + "&_orgId=" + SessionUtils.getUser().getLastOrganizationId());
    }

    @PostMapping("/callback/add-auth-source")
    public ResultHolder addAuthSource(@RequestBody KeycloakAuthSourceReq authSource) {
        int authSource1 = keycloakAuthSourceService.createAuthSource(authSource);
        return authSource1 > 0
                ? ResultHolder.success("success")
                : ResultHolder.error(100400, "error");
    }

}
