package io.metersphere.keycloak.dto;

import io.metersphere.sdk.util.JSON;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * insert description here
 *
 * @author liuxiaohua
 * @since 2025-02-19
 */
@Data
public class KeycloakAuthSourceReq {

    private String id;

    @Schema(description = "是否启用")
    private Boolean enable;

    @Schema(description = "创建时间")
    private Long createTime;

    @Schema(description = "更新时间")
    private Long updateTime;

    @Schema(description = "描述")
    private String description;

    @Schema(description = "名称")
    private String name;

    @Schema(description = "类型")
    private String type;

    @Schema(description = "认证源配置", requiredMode = Schema.RequiredMode.REQUIRED)
    private String configuration;

    @Data
    public static final class Configuration {
        private String clientId;
        private String secret;
        private String redirectUrl;
        private String authUrl;
        private String tokenUrl;
        private String userInfoUrl;
        private String mapping = JSON.toJSONString(new Mapping());
    }

    @Data
    public static final class Mapping {
        private String userid = "sub";
        private String username = "preferred_username";
        private String email = "email";
    }

}
