<!-- Space: qifu -->
<!-- Parent: 运维相关资料分享 -->
<!-- Title: 20250213-域名规范草案 -->

<!-- Macro: :anchor\((.*)\):
     Template: ac:anchor
     Anchor: ${1} -->
<!-- Macro: \!\[.*\]\((.+)\)\<\!\-\- width=(.*) \-\-\>
     Template: ac:image
     Url: ${1}
     Width: ${2} -->
<!-- Macro: \<\!\-\- :toc: \-\-\>
     Template: ac:toc
     Printable: 'false'
     MinLevel: 2 
     MaxLevel: 4 -->
<!-- Include: 杂项/声明文件.md -->

<!-- :toc: -->

# 域名规范草案

## 域名结构说明

![](https://picture.texous.cn/blog/20250213101552038.png)

## 域名划分

> 二级域名用来区分服务级别  
> 三级域名用来做服务划分  
> 四级域名用来做环境划分

### 二级域名

| 域名         | 说明     |
|------------|--------|
| qifu.com   | 内网使用   |
| keyfil.com | 外网访问使用 |

### 三级域名

#### 三级域名说明

- 三级域名 `xxx.qifu.com`：服务划分
    - 比如 `yapi.qifu.com` 表示接口文档服务
    - 比如 `confluence.qifu.com` 表示知识库服务

#### 三级域名列表

| 平台             | 旧域名                  | 规划域名                | 规划部署 | 访问链接                       | 详情 |
|----------------|----------------------|---------------------|------|----------------------------|----|
| IAM（Keycloak）  | keycloak.qifu.com    | keycloak.qifu.com   | √    | http://keycloak.qifu.com   |    |
| 门户网站           | linkwarden.qifu.com  | menhu.qifu.com      | ×    | http://menhu.qifu.com      |    |
| YApi           | yapi.qifu.com        | apidoc.qifu.com     | ×    | http://apidoc.qifu.com     |    |
| 产研协同平台         | pmsystem.qifu.com    | pmsystem.qifu.com   | √    | http://pmsystem.qifu.com   |    |
| GitLab         | git.keyfil.com       | code.qifu.com       | ×    | http://code.qifu.com       |    |
| Confluence     | confluenct.qifu.com  | doc.qifu.com        | ×    | http://doc.qifu.com        |    |
| Yarning        | yearning.qifu.com    | sql.qifu.com        | ×    | http://sql.qifu.com        |    |
| Jenkins        | jenkins.qifu.com     | cicd.qifu.com       | ×    | http://cicd.qifu.com       |    |
| KubeSphere     | kubesphere.qifu.com  | service.qifu.com    | ×    | http://service.qifu.com    |    |
| Nacos          | nacos.qifu.com       | config.qifu.com     | ×    | http://config.qifu.com     |    |
| Kibana         | kibana.qifu.com      | kibana.qifu.com     | ×    |                            |    |
| Grafana        | grafana.qifu.com     | monitor.qifu.com    | ×    | http://monitor.qifu.com    |    |
| Skywalking     | skywalking.qifu.com  | tracking.qifu.com   | ×    | http://tracking.qifu.com   |    |
| Graylog        | graylog.qifu.com     | log.qifu.com        | ×    | http://log.qifu.com        |    |
| Harbor         | harbor.qifu.com      | mirror.qifu.com     | ×    | http://mrirror.qifu.com    |    |
| Nexus sonatype | nexus.qifu.com       | repository.qifu.com | ×    | http://repository.qifu.com |    |
| 元盟学习平台         | xuexi.qifu.com       | xuexi.qifu.com      | ×    | http://xuexi.qifu.com      |    |
| MeterSphere    | metersphere.qifu.com | apitest.qifu.com    | ×    | http://apitest.qifu.com    |    |

### 四级域名

#### 四级域名说明

- 四级域名 `xxx.jenkins.qifu.com`：服务环境划分
    - 划分为四个环境：开发 `dev`、测试 `test`、预发布 `uat`、生产 `prod`。生产环境默认缺省，使用三级域名
    - 比如 `test.jenkins.qifu.com` 表示测试环境 jenkins
    - 比如 `jenkins.qifu.com` 表示生产环境 jenkins

#### 四级域名列表

| 域名 | 服务 | 访问链接 | 说明 |
|----|----|------|----|
|    |    |      |    |