<!-- Space: qifu -->
<!-- Parent: 会议相关 -->
<!-- Parent: 共识 -->
<!-- Parent: 外部调研 -->
<!-- Title: 20241217-效能平台调研 -->

<!-- Macro: :anchor\((.*)\):
     Template: ac:anchor
     Anchor: ${1} -->
<!-- Macro: \!\[.*\]\((.+)\)\<\!\-\- width=(.*) \-\-\>
     Template: ac:image
     Url: ${1}
     Width: ${2} -->
<!-- Macro: \<\!\-\- :toc: \-\-\>
     Template: ac:toc
     Printable: 'false'
     MinLevel: 2 
     MaxLevel: 4 -->
<!-- Include: 杂项/声明文件.md -->

<!-- :toc: -->

# 效能平台调研

> 规划说明：[http://confluence.qifu.com/pages/viewpage.action?pageId=3638019](http://confluence.qifu.com/pages/viewpage.action?pageId=3638019)

## DevOps 说明

### DevOps主要分为以下几大模块
![](https://picture.texous.cn/blog/640.webp)

### 公司 Devops 实施信息

现在已经拥有的工具及系统
- Plan(计划)
  - [X] [元盟产研协同平台](http://pmsystem.qifu.com/my/dashboard)
- Code(编码)
  - [X] [Gitlab 代码及版本管理](http://pmsystem.qifu.com/my/dashboard)
  - [X] IDEA 开发工具
  - [X] VS Code 开发工具
- Build(构建)
  - [X] [Jenkins CI/CD](http://test.jenkins.qifu.com/login?from=%2F)
  - [X] Maven 依赖管理及项目构建
  - [X] Vite/Webpack 前端构建工具
- Test(测试)
  - [X] [Yapi 接口文档及 Mock](http://yapi.qifu.com/)
  - [X] JUnit 单元测试
- Release(发布)
  - [X] [Jenkins CI/CD](http://test.jenkins.qifu.com/login?from=%2F)
  - [X] [Harbor](http://harbor.qifu.com)
- Deploy(部署)
  - [X] [Yarning SQL审核平台](http://yearning.qifu.com)
  - [X] [Nacos 配置管理](http://nacos.qifu.com/nacos)
  - [X] kubectl
- Operate(运维)
  - [X] [KubeSphere](http://kubesphere.qifu.com)
  - [X] K8s
- Monitor(监控)
  - [X] [Grafana](http://grafana.qifu.com)
  - [X] [Graylog](http://graylog.keyfil.com)

### 后续规划

需要完善及规划的工具及系统

- Plan(计划)
- Code(编码)
- Build(构建)
- Test(测试)
  - [ ] JUnit test
  - [ ] SonaQube（代码质量分析）
  - [ ] 自动化测试
    - [ ] 接口自动化
    - [ ] UI自动化
    - [ ] 集成自动化
- Release(发布)
- Deploy(部署)
  - [ ] 生产环境应该使用Uat已经验证过的镜像发布
- Operate(运维)
- Monitor(监控)
  - [ ] 服务告警（Grafana集成企业微信实现告警）
  - [X] 链路追踪（已有 SkyWalking）
  - [X] 日志管理（Graylog，建议用 ELK，使用 Kibana 作为检索看板）

- 效能平台
  - [ ] 采集各环节指标
  - [ ] 效能报表
  - [ ] 效能大屏
  - [ ] 统一门户入口
  - [ ] SSO/域账户


## SSO 支撑调研
### 一些参考
- [Okta](https://www.okta.com/)
- [CAS 单点登录部署](https://blog.csdn.net/xu_guo_jie/article/details/104209452)
- [集成文档参考](https://docs.authing.cn/v2/integration/?category=all&page=2)
- [CAS Server](https://github.com/apereo/cas)
- [CAS 整合 LDAP](https://www.doc88.com/p-0774845211878.html)
- [CAS](https://zhuanlan.zhihu.com/p/610470663)
- [OIDC](https://zhuanlan.zhihu.com/p/539297736)
- [LDAP](https://zhuanlan.zhihu.com/p/608437013)
- [IAM单点登录之CAS协议分析](https://zhuanlan.zhihu.com/p/627920220)

### 平台调研
- [X] 已有平台 SSO 调研
  - Gitlab SSO
    - [SAML](https://docs.gitlab.com/ee/integration/saml.html)
    - [OAuth2.0](https://wurang.net/gitlab-oauth2-generic-sso/)
    - [CAS](https://www.selinux.tech/architecture/cas/cas-gitlab)
  - Jenkins SSO
    - [CAS](https://zhuanlan.zhihu.com/p/542259185)
    - [SAML](https://open.bccastle.com/app_integration/authentication/jenkins.html#idaas%E9%85%8D%E7%BD%AE)
    - [Okta](https://www.okta.com/integrations/jenkins/)
  - Confluence SSO
    - [SAML](https://www.selinux.tech/architecture/cas/cas-gitlab)
    - [CAS](https://cloud.tencent.com/developer/article/1647422)
    - [OAuth2](https://developer.atlassian.com/server/confluence/confluence-oauth2-provider-api/) 需要 7.17 及之后的版本
  - kubesphere SSO
    - [OIDC](https://blog.csdn.net/zpf17671624050/article/details/144296801)
  - kibana SSO
    - [SAML](https://docs.authing.cn/v2/integration/)
  - grafana SSO
    - [配置](https://grafana.com/docs/grafana/latest/setup-grafana/configure-grafana/)
    - [配置参考](https://grafana.com/docs/grafana/latest/setup-grafana/configure-security/configure-authentication/)
  - Skywalking SSO
    - [CAS](https://blog.csdn.net/qq_42536474/article/details/108669351)\
  - Nacos SSO
    - 暂时不支持，可以搞插件开发
  - Graylog
    - [需要plugin支持，并且不支持新版本](https://community.graylog.org/t/single-sign-on-authentication-plugin/22804)
  - Yarning sso
    - [OIDC](https://github.com/cookieY/Yearning/pull/608)
  - Harbor
    - [OIDC](https://docs.authing.cn/v2/integration/harbor/)
  - Nexus sonatype SSO
    - [Nexus sonatype](https://help.sonatype.com/en/user-authentication.html)
    - [SAML](https://help.sonatype.com/en/saml.html)

### 建议
- 部署自己的 [CAS 服务](https://github.com/apereo/cas)
- 集成各个服务

## 研发效能平台

- [思码易](https://www.merico.cn/)
- [PingCode](https://pingcode.com/product/project)
  - 价格页面：https://pingcode.com/pricing
  - 25人以下免费
  - 支持私有化部署
  - ![](https://picture.texous.cn/blog/20241217181918237.png)
- [Ones](https://ones.cn/project/#/signup_personalize)
  - 价格页面：https://ones.cn/pricing
  - 50 人及以下 · 免费使用
  - 支持私有化部署
  - ![](https://picture.texous.cn/blog/20241217181841556.png)
- [华为云效能洞察](https://console.huaweicloud.com/devcloud/?agencyId=91b0b8b5572d4a7ea38428df5f78c1dd&region=cn-east-3&locale=zh-cn#/codearts-build/list)
  - 价格计算器：https://www.huaweicloud.com/pricing/calculator.html#/devcloud
- [Codes](https://icodes.work/blogPage/twelve)
  - 价格页面：https://icodes.work/buy/buyUse
  - 30 人以下免费
  - 支持私有化部署
  - ![](https://picture.texous.cn/blog/20241217182453725.png)
- [阿里云效](https://devops.aliyun.com/workbench)
  - 价格页面：https://help.aliyun.com/zh/yunxiao/product-overview/package-and-billing-adjustment-announcement?spm=a2c4g.11186623.help-menu-150040.d_0_0_0.3ac31fa84jtKHR&scm=20140722.H_2858118._.OR_help-V_1
  - 5 人以下免费
  - ![](https://picture.texous.cn/blog/20241217182802320.png)
- [研发效能数据平台 DevLake](https://devlake.apache.org/)
  - Apache DevLake 是一个开源开发数据平台，用于从 DevOps 工具中提取、分析和可视化碎片化数据，从而提取见解以实现卓越工程、开发人员体验和社区发展
  - 开源
  - 可以用来做效能平台效能分析和大屏
- [Gitee企业版](https://e.gitee.com/texous_1/projects/714726/pipelines/355387/5/edit)
  - 只能体验 31 天 
  - ![](https://picture.texous.cn/blog/20241217183054962.png)
- [面向开发者自助式云原生 DevOps 平台](https://koderover.com/zadig)
  - 价格页面：https://koderover.com/pricing
  - 有开源版本
- [ 普兰能效平台 研发协作一站式管理平台](https://testerhome.com/topics/21620)
  - 开源项目
  - 有一段时间没有维护了
- [tiklab](https://github.com/tiklab-project)
  - 开源项目
  - ![](https://picture.texous.cn/blog/20241217183713902.png)
- [CDS是一个企业级的持续交付和DevOps自动化开源平台](https://ovh.github.io/cds/)
  - 开源项目
- [hygieia](https://github.com/hygieia/hygieia)
    - 从本质上讲，Hygieia 本身是一个聚合器，它从团队在其 CICD 管道中使用的各种 DevOps 工具中提取数据，使其在仪表板视图中易于理解。
    - 支持的采集器：https://hygieia.github.io/hygieia/collectors.html
    - 可以用来做效能平台效能分析和大屏，和 Apache DevLake 类似

## 文档

- [研发效能平台哪个好](https://docs.pingcode.com/blog/effectiveness/14792.html)
- [覆盖数万研发人员，字节跳动首次公开效能度量核心技术](https://www.infoq.cn/article/oiYyLTdpp4Yx1iFhs4A8)
- [DevOps全面综述：从概念到实践](https://mp.weixin.qq.com/s/aTJyg0j9yQzmDtg4xnNOfQ)
- [DevOps如何帮助PM构建数字化的项目管理](https://mp.weixin.qq.com/s/cBQjMWkf9rWzPArrqwqiqA)

## 参考

### 工具

![](https://picture.texous.cn/blog/20241217163745333.png)

### 线路

![](https://picture.texous.cn/blog/20241217163544235.png)