# 效能平台调研

## SSO 支撑调研
### 一些参考
- [Okta](https://www.okta.com/)
- [CAS 单点登录部署](https://blog.csdn.net/xu_guo_jie/article/details/104209452)
- [集成文档参考](https://docs.authing.cn/v2/integration/?category=all&page=2)
- [CAS Server](https://github.com/apereo/cas)
- [CAS 整合 LDAP](https://www.doc88.com/p-0774845211878.html)
- [CAS](https://zhuanlan.zhihu.com/p/610470663)
- [OIDC](https://zhuanlan.zhihu.com/p/539297736)
- [LDAP](https://zhuanlan.zhihu.com/p/608437013)
- [IAM单点登录之CAS协议分析](https://zhuanlan.zhihu.com/p/627920220)
- [Keycloak](https://www.keycloak.org/)

### 平台调研
- [X] 已有平台 SSO 调研
  - Gitlab SSO
    - [SAML](https://docs.gitlab.com/ee/integration/saml.html)
  - Jenkins SSO
    - 安装插件 SAML
    - [整合Keycloak教程](https://github.com/jenkinsci/saml-plugin/blob/main/doc/CONFIGURE_KEYCLOAK.md)
  - Confluence SSO
    - [SAML](https://www.selinux.tech/architecture/cas/cas-gitlab)
  - kubesphere SSO
    - [OIDC](https://blog.csdn.net/zpf17671624050/article/details/144296801)
  - kibana SSO
    - [SAML](https://docs.authing.cn/v2/integration/)
  - grafana SSO
    - [配置](https://grafana.com/docs/grafana/latest/setup-grafana/configure-grafana/)
    - [配置参考](https://grafana.com/docs/grafana/latest/setup-grafana/configure-security/configure-authentication/)
  - Skywalking SSO
    - [CAS](https://blog.csdn.net/qq_42536474/article/details/108669351)\
  - Nacos SSO
    - 暂时不支持，可以搞插件开发
  - Graylog
    - [需要plugin支持，并且不支持新版本](https://community.graylog.org/t/single-sign-on-authentication-plugin/22804)
  - Yarning sso
    - [OIDC](https://github.com/cookieY/Yearning/pull/608)
  - Harbor
    - [OIDC](https://docs.authing.cn/v2/integration/harbor/)
  - Nexus sonatype SSO
    - [Nexus sonatype](https://help.sonatype.com/en/user-authentication.html)
    - [SAML](https://help.sonatype.com/en/saml.html)

### 建议
- 部署自己的 [CAS 服务](https://github.com/apereo/cas)
- 集成各个服务
